version: "3.8"

volumes:
  resilien-log:
    name: resilien-log
  resilien-stats:
    name: resilien-stats

services:
  resilien-prod:
    container_name: resilien-prod
    build: .
    image: registry.weko.io/resilien_fr:latest
    restart: always
    labels:
      traefik.enable: "true"
      traefik.http.routers.resilien.rule: "Host(`${URL}`)"
      traefik.http.routers.resilien.entrypoints: "web"
      com.centurylinklabs.watchtower.enable: true
    volumes:
      - resilien-log:/var/log/nginx
      - resilien-stats:/usr/share/nginx/html/stats
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

  resilien-stats:
    container_name: resilien-stats
    image: registry.weko.io/goaccess:1.5.1
    restart: always
    volumes:
      - resilien-log:/var/log/nginx
      - resilien-stats:/usr/share/nginx/html/stats
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

networks:
  default:
    name: traefik
